#### Previous topic

scipy.io.mmread

#### Next topic

scipy.io.FortranFile

# scipy.io.mmwrite

`scipy.io.``mmwrite`(target, a, comment='', field=None, precision=None, symmetry=None)

  Writes the sparse or dense array a to Matrix Market file-like target.

  Parameters:

  target : str or file-like

  > Matrix Market filename (extension .mtx) or open file-like object.

  a : array like

  > Sparse or dense 2D array.

  comment : str, optional

  > Comments to be prepended to the Matrix Market file.

  field : None or str, optional

  > Either ‘real’, ‘complex’, ‘pattern’, or ‘integer’.

  precision : None or int, optional

  > Number of digits to display for real or complex values.

  symmetry : None or str, optional

  > Either ‘general’, ‘symmetric’, ‘skew-symmetric’, or ‘hermitian’. If symmetry is None the symmetry type of ‘a’ is determined by its values.